com.io7m.r2.core

## Class R2AmbientOcclusionBufferDescription.Builder

- java.lang.Object
- - com.io7m.r2.core.R2AmbientOcclusionBufferDescription.Builder

- Enclosing class:
    R2AmbientOcclusionBufferDescription

      public static final class R2AmbientOcclusionBufferDescription.Builder
      extends Object

  Builds instances of type `R2AmbientOcclusionBufferDescription`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `R2AmbientOcclusionBufferDescription` | `build()` Builds a new `R2AmbientOcclusionBufferDescription`.
    `R2AmbientOcclusionBufferDescription.Builder` | `from(R2AmbientOcclusionBufferDescriptionType instance)` Fill a builder with attribute values from the provided `com.io7m.r2.core.R2AmbientOcclusionBufferDescriptionType` instance.
    `R2AmbientOcclusionBufferDescription.Builder` | `from(R2RenderTargetDescriptionType instance)` Fill a builder with attribute values from the provided `com.io7m.r2.core.R2RenderTargetDescriptionType` instance.
    `R2AmbientOcclusionBufferDescription.Builder` | `setArea(com.io7m.jareas.core.AreaInclusiveUnsignedLType area)` Initializes the value for the `area` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final R2AmbientOcclusionBufferDescription.Builder from(R2RenderTargetDescriptionType instance)

      Fill a builder with attribute values from the provided `com.io7m.r2.core.R2RenderTargetDescriptionType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### from

          public final R2AmbientOcclusionBufferDescription.Builder from(R2AmbientOcclusionBufferDescriptionType instance)

      Fill a builder with attribute values from the provided `com.io7m.r2.core.R2AmbientOcclusionBufferDescriptionType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setArea

          public final R2AmbientOcclusionBufferDescription.Builder setArea(com.io7m.jareas.core.AreaInclusiveUnsignedLType area)

      Initializes the value for the `area` attribute.
      Parameters:
        `area` - The value for area
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public R2AmbientOcclusionBufferDescription build()

      Builds a new `R2AmbientOcclusionBufferDescription`.
      Returns:
        An immutable instance of R2AmbientOcclusionBufferDescription
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2016 <code@io7m.com> http://io7m.com